RewriteEngine On
RewriteBase /public/

# Eğer dosya veya dizin varsa direkt onu aç
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d

# Diğer tüm istekleri index.php'ye yönlendir
RewriteRule ^(.*)$ index.php [L,QSA]
